/*****************************************************************************/
/*                                                                           */
/* Author: Michael C. Nechyba                                                */
/* Last modified: 08/17/2002                                                 */
/*                                                                           */
/* File: "blob_detect.h"                                                     */
/*                                                                           */
/*****************************************************************************/

#ifndef MAX_RECURSIONS
#define MAX_RECURSIONS 1000
#endif

#ifndef MIN_BLOB_SIZE
#define MIN_BLOB_SIZE 30
#endif

/*****************************************************************************/

extern int new_detect_blobs_ppm2(RAW2 *frame, PPM2 *t, BLOB2 *b, 
				 int min_blob_size);
extern int new_collect_blob_data_ppm2(RAW2 *frame, PPM2 *t, 
				      int x, int y, int label, int tst, 
				      BLOB2 *b, int *status, int *n_stack);
extern int new_detect_blobs_ppm(RAW *frame, PPM *t, BLOB2 *b, 
				int min_blob_size);
extern int new_collect_blob_data_ppm(RAW *frame, PPM *t, 
				     int x, int y, int label, int tst, 
				     BLOB2 *b, int *status, int *n_stack);
extern int check_neighbors_blob(PPM *t, int x, int y, int label);
